Opened 12 years ago

Closed 12 years ago

#4317 closed defect (fixed)

r15040 to r15080 breaks PS3 UPNP playback

Reported by: tephra@… Owned by: Nigel
Priority: minor Milestone: unknown
Component: mythtv Version: head
Severity: low Keywords: ps3 upnp error 7531
Cc: Ticket locked: no

Description (last modified by Nigel)

Hi Guys,

Some change in between these two revisions breaks PS3 playback via UPNP.

I get DLNA error 7531 (or 7351) and I can't browse the mythtv tree - the server appears but nothing else.

Any ideas?

ps - I updated to tonights SVN (r15160 ish) and the problem still existed :(

Cheers Dave

( problem change appears to be [15051] - one of Nigel's )

Change History (10)

comment:1 Changed 12 years ago by tephra@…

ok I have narrowed this down to change #15051.

DLNA error 7531.

Cheers Dave

comment:2 Changed 12 years ago by polk@…

I see the same breakage with 15051 on a DSM-320 and Nero Showtime as well -- they work fine before it but not after. upnp verbose shows it sees the GetServDesc? requests and a packet trace shows a bunch of traffic but I don't have any diagnostics on the client to see what it doesn't like. The problem isn't obvious to me from the changes as it looks like everything should still be getting the right paths.

comment:3 Changed 12 years ago by gremlin190

I don't know if my problem is related. But I only get recorded tv under my music for the XBOX 360. With the new dashboard update, it says unable to contact server for the pictures and video. I know the pictures and music worked with .20. Here is a thread where I brought up the issue:

http://www.gossamer-threads.com/lists/mythtv/dev/303238#303238

comment:4 Changed 12 years ago by Nigel

Description: modified (diff)
Owner: changed from Isaac Richards to Nigel
Status: newassigned

comment:5 Changed 12 years ago by Nigel

I just tried a fresh build of an older backend [15039] with a soft UPnP client (Cidero MediaController?.app), but it behaved identically to SVN head.

(which in the case of this client is to complain in the debug.log about the server's response code:

Dec 19, 2007 5:09:58 PM org.cybergarage.upnp.ControlPoint addDevice
WARNING: org.cybergarage.xml.ParserException: org.cybergarage.xml.ParserException: java.io.IOException: Server returned HTTP response code: 504 for URL: http://149.135.128.77:6544/getDeviceDesc
Dec 19, 2007 5:09:58 PM org.cybergarage.upnp.ControlPoint addDevice
WARNING: Parser error reading XML device description - not adding device
Dec 19, 2007 5:11:13 PM org.cybergarage.upnp.ControlPoint addDevice
WARNING: HTTP/1.1 200 OK
LOCATION: http://149.135.128.77:6544/getDeviceDesc
CACHE-CONTROL: max-age=3600
DATE: 19 Dec 2007 17:03:54
EXT:
Server: Linux 2.6.18-chw-13, UPnP/1.0, MythTv 0.21.20071202-1
ST: upnp:rootdevice
USN: uuid:2d11d9ba-f6e5-4ccc-9df7-24260a1a5dca::upnp:rootdevice
Content-Length: 0

)

Anyway, I need someone who has a working client to check this for me, and maybe provide some backend -v all or client logs which illustrate the problem (i.e. before and after [15051] )

comment:6 Changed 12 years ago by Nigel

I suspect David fixed this in [15220]

comment:7 Changed 12 years ago by tephra@…

No - I just upgraded to 15223 and the problem still occurs:

-v network,upnp 2007-12-24 23:17:30.100 Using runtime prefix = /usr/local 2007-12-24 23:17:30.101 Empty LocalHostName?. 2007-12-24 23:17:30.101 Using localhost value of crystal 2007-12-24 23:17:30.103 MCP::DefaultUPnP() - No default UPnP backend 2007-12-24 23:17:30.103 Testing network connectivity to 10.1.1.1 2007-12-24 23:17:30.132 New DB connection, total: 1 2007-12-24 23:17:30.139 Connected to database 'mythconvergsvn' at host: 10.1.1.1 2007-12-24 23:17:30.141 Closing DB connection named 'DBManager0' 2007-12-24 23:17:30.143 Connected to database 'mythconvergsvn' at host: 10.1.1.1 2007-12-24 23:17:30.146 Current Schema Version: 1202 Starting up as the master server. 2007-12-24 23:17:30.162 New DB connection, total: 2 2007-12-24 23:17:30.163 Connected to database 'mythconvergsvn' at host: 10.1.1.1 2007-12-24 23:17:30.166 mythbackend: MythBackend? started as master server 2007-12-24 23:17:30.201 New DB connection, total: 3 2007-12-24 23:17:30.202 Connected to database 'mythconvergsvn' at host: 10.1.1.1 2007-12-24 23:17:30.249 New DB scheduler connection 2007-12-24 23:17:30.250 Connected to database 'mythconvergsvn' at host: 10.1.1.1 2007-12-24 23:17:30.255 UPnp - Constructor 2007-12-24 23:17:30.256 MediaServer::Begin 2007-12-24 23:17:30.260 ThreadPool:AddWorkerThread - HTTP_WorkerThread 2007-12-24 23:17:30.263 HttpServer?( 6544 ) - SharePath? = /usr/local/share/mythtv/ 2007-12-24 23:17:30.263 UPnp::Initialize - Begin 2007-12-24 23:17:30.263 UPnp::Initialize - Starting TaskQueue? 2007-12-24 23:17:30.265 UPnp::Initialize - Creating SSDP Thread at port 6544 2007-12-24 23:17:30.268 UPnp::Initialize - End 2007-12-24 23:17:30.270 MediaServer::Loading UPnp Description 2007-12-24 23:17:30.274 MediaServer::Registering MythXML Service. 2007-12-24 23:17:30.276 MediaServer::Registering MSRR Service. 2007-12-24 23:17:30.276 MediaServer::Registering CMGR Service. 2007-12-24 23:17:30.277 MediaServer::Registering CDS Service. 2007-12-24 23:17:30.278 MediaServer::Registering UPnpCDSTv Extension 2007-12-24 23:17:30.278 MediaServer::Registering UPnpCDSMusic Extension 2007-12-24 23:17:30.278 MediaServer::Registering UPnpCDSVideo Extension 2007-12-24 23:17:30.280 UPnp::Start - Starting SSDP Thread (Multicast) 2007-12-24 23:17:30.280 UPnp::Start - Enabling Notifications 2007-12-24 23:17:30.280 SSDP::EnableNotifications?() - creating new task 2007-12-24 23:17:30.281 SSDP::EnableNotifications?() - sending NTS_byebye 2007-12-24 23:17:30.283 LookupUDN(urn:schemas-upnp-org:device:MediaServer:1) sName=UPnP/UDN/MediaServer, sUDN=b1e5e5cd-4bc3-4f0f-9ec9-2e724bc3c023 2007-12-24 23:17:31.249 LookupUDN(urn:schemas-mythtv-org:device:MasterMediaServer:1) sName=UPnP/UDN/MasterMediaServer, sUDN=2074891e-8c46-4722-ae69-cd073e52bcae 2007-12-24 23:17:31.611 SSDP::EnableNotifications?() - sending NTS_alive 2007-12-24 23:17:31.611 SSDP::EnableNotifications?() - Task added to UPnP queue 2007-12-24 23:17:31.611 UPnp::Start - Returning 2007-12-24 23:17:31.611 MediaServer::End 2007-12-24 23:17:31.611 Main::Registering HttpStatus? Extension 2007-12-24 23:17:31.612 mythbackend version: 0.21.20071211-1 www.mythtv.org 2007-12-24 23:17:31.612 Enabled verbose msgs: important general network upnp 2007-12-24 23:17:31.614 AutoExpire?: CalcParams?(): Max required Free Space: 0.0 GB w/freq: 15 min 2007-12-24 23:17:33.271 Reschedule requested for id -1. 2007-12-24 23:17:33.379 Scheduled 8 items in 0.1 = 0.04 match + 0.07 place 2007-12-24 23:17:33.385 scheduler: Scheduled items: Scheduled 8 items in 0.1 = 0.04 match + 0.07 place 2007-12-24 23:17:33.390 Seem to be woken up by USER 2007-12-24 23:17:33.392 MythEvent?: SCHEDULE_CHANGE 2007-12-24 23:17:35.667 ThreadPool:AddWorkerThread - HTTP_WorkerThread 2007-12-24 23:17:40.186 mythbackend: Running housekeeping thread

Cheers David

comment:8 Changed 12 years ago by Nigel

(In [15231]) UPnpCMGR::ProcessRequest?(CMGRM_GetServiceDescription) uses the filename which is set at object creation time, so this passes the share path in to the xtor. Should fix the current UPnP issue. See #4355. See #4317. See #2467.

Note 1) the frontend MediaRenderer? shouldn't need to share anything(?),

so its xtor gets an empty string.

Note 2) I suspect [15220] can be reverted,

but I will wait for David Blain to verify that

comment:9 Changed 12 years ago by tephra@…

Yup it works now, I can see all the recordings again and I get no DLNA error.

However firmware 2.1 still broke MPEG2 playback!

Not much mythtv can do about that :(

close this one I guess! :)

comment:10 Changed 12 years ago by Nigel

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.